[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpKill

Send a signal to a process

## Declaration

Source position: bunxh.inc line 69

`function FpKill(`
`pid: TPid;`
`sig: cint`
`):cint;`

## Description

fpKill sends a signal Sig to a process or process group. If Pid>0 then the signal is sent to Pid, if it equals -1, then the signal is sent to all processes except process 1. If Pid<-1 then the signal is sent to process group -Pid.

The return value is zero, except in case three, where the return value is the number of processes to which the signal was sent.

## Errors

Extended error information can be retrieved using fpGetErrno:

sys_einval
  An invalid signal is sent.
sys_esrch
  The Pid or process group don't exist.
sys_eperm
  The effective userid of the current process doesn't math the one of process Pid.

## See also

FpSigAction |  | Install signal handler
FpSignal |  | Install signal handler (deprecated)